#version 330
uniform vec2 dim;
in vec4 vsoColor;
out vec4 fragColor;

const vec2 sites[3] = vec2[3](vec2(0.1, 0.3), vec2(0.5, 0.5), vec2(0.7, 0.7));
const vec4 couleurs[3] = vec4[3](vec4(1, 0, 0, 1), vec4(0, 1, 0, 1), vec4(0, 0, 1, 1));

void main(void) {
  vec2 c = gl_FragCoord.xy/dim;
  int mini = 0, i;
  float minl = length(c - sites[mini]), l;
  for(i = 1; i < sites.length(); i++) {
    l = length(c - sites[i]);
    if(minl > l) {
      minl = l;
      mini = i;
    }
  }
  if(minl < 0.01)
    fragColor = vec4(0, 0, 0, 1);
  else
    fragColor = couleurs[mini];
  /*
    DAMIER
    if((int(gl_FragCoord.x / 10) % 2) == 1 && (int(gl_FragCoord.y / 10) % 2) == 1)
    fragColor = vec4(vec2(1) - c, 0.0, 1.0);
    else
    fragColor = vec4(c, 0.0, 1.0); */
}
